Subject: Re: [PATCH] Two RPM building improvements

From: Niels Basjes <[email-masked]>
Date: Fri, 27 Mar 2009 17:07:25 +0100 (CET)

Hi Jakub,

----- Jakub Narebski <[email-masked]> wrote:
> Niels Basjes <[email-masked]> writes:
> 
> > Two RPM building improvements:
> Two _unrelated_ RPM building improvements squashed in one commit.

Hmm, well, ok. You're right.

> >   - Building the RPMs can now be done by a non-root user.
> 
> It was always possible, you only have to configure rpm / rpmbuild,
> namely put path to where you want your RPM_BUILDING directory in
> ~/.rpmmacros as %_topdir, for example:
> 
>   $ cat ~/.rpmmacros
>   %_topdir        /home/local/builddir

Yes, you're right. It has always been possible.
That works fine if you want all RPMS of multiple project to be thrown 
in one heap and have to spent time figuring out which rpms were built by 
which project.
I've always preferred forcing the rpmbuilding to be done in a subdirectory 
of the current source checkout. That way I can easily remove all old stuff 
of _this_ project (simply remove the entire subdirectory) and easily know 
what has been created by this project.

> Please RTFM first, 

I read the RTFM (really I did).

> before going to solve non-problem in (ugh) fairly complicated way.

What makes this complicated? 
It's only different from what you're used to.

> >   - The additional target all-rpms now builds the RPMs for a
> > multitude of target platforms.
> 
> Please wrap commit messages at 72-76 columns, at most at 80 columns.
> No such overly long lines, please.

Ok.

> But the all-rpms target looks like a good idea

Ok, discard this patch. I'll submit new (splitout) patches.

-- 
Met vriendelijke groeten,

Niels Basjes

ir. drs. Niels Basjes  -  http://niels.basj.es/  -  VCV 20000302
mailto:`echo 'Niels Basjes'|sed 's/\(.*\)\(..\)/\1.\2/g;s/ /@/g'`